﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using LockscreenProviderDemo.Resources;
using Windows.Phone.System.UserProfile;

namespace LockscreenProviderDemo
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
            SetLockScreen();
        }

        private async void SetLockScreen()
        {
            //Check to see if the app is currently the lock screen provider
            if (!LockScreenManager.IsProvidedByCurrentApplication)
            {
                //Request to be lock screen provider
                await LockScreenManager.RequestAccessAsync();
            }

            //Check to see if the app is currently the lock screen provider
            if (LockScreenManager.IsProvidedByCurrentApplication)
            {
                //Set the image to the lock screen image
                Uri imageUri = new Uri("ms-appx:///Images/lockscreen.png", UriKind.RelativeOrAbsolute);
                LockScreen.SetImageUri(imageUri);
            }
        }
    }
}